packages: move Xorg category to its own feed, move X-related packages as well
[openwrt/svn-archive/feeds.git] / xorg / xorg / proto / calibrateproto / src / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
14
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27 esac
28
29 fi
30
31
32
33
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
41
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
51 fi
52 rm -f conf$$.sh
53 fi
54
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58 else
59 as_unset=false
60 fi
61
62
63 # IFS
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
69 '
70 IFS=" "" $as_nl"
71
72 # Find who we are. Look in the path if we contain no directory separator.
73 case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
77 do
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
83
84 ;;
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89 as_myself=$0
90 fi
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
94 fi
95
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
103
104 # NLS nuisances.
105 for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
109 do
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114 fi
115 done
116
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121 else
122 as_expr=false
123 fi
124
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127 else
128 as_basename=false
129 fi
130
131
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
140 q
141 }
142 /^X\/\(\/\/\)$/{
143 s//\1/
144 q
145 }
146 /^X\/\(\/\).*/{
147 s//\1/
148 q
149 }
150 s/.*/./; q'`
151
152 # CDPATH.
153 $as_unset CDPATH
154
155
156
157 as_lineno_1=$LINENO
158 as_lineno_2=$LINENO
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
161
162 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using $LINENO; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing $LINENO, and appends
167 # trailing '-' during substitution so that $LINENO is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
173 p
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
179 b
180 :lineno
181 N
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
190
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
197 }
198
199
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202 else
203 as_dirname=false
204 fi
205
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
213 *)
214 ECHO_N='-n';;
215 esac
216
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220 else
221 as_expr=false
222 fi
223
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227 else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
230 fi
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242 else
243 as_ln_s='cp -p'
244 fi
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
247
248 if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250 else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
253 fi
254
255 if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257 else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
262 fi
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
274 '
275 fi
276 as_executable_p=$as_test_x
277
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
280
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
283
284
285 exec 6>&1
286
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by xcalibrateproto $as_me 0.1.0, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
293
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
299
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
301 "
302
303 # Files that config.status was made for.
304 config_files=" Makefile xcalibrateproto.pc"
305
306 ac_cs_usage="\
307 \`$as_me' instantiates files from templates according to the
308 current configuration.
309
310 Usage: $0 [OPTIONS] [FILE]...
311
312 -h, --help print this help, then exit
313 -V, --version print version number and configuration settings, then exit
314 -q, --quiet do not print progress messages
315 -d, --debug don't remove temporary files
316 --recheck update $as_me by reconfiguring in the same conditions
317 --file=FILE[:TEMPLATE]
318 instantiate the configuration file FILE
319
320 Configuration files:
321 $config_files
322
323 Report bugs to <bug-autoconf@gnu.org>."
324
325 ac_cs_version="\
326 xcalibrateproto config.status 0.1.0
327 configured by ./configure, generated by GNU Autoconf 2.61,
328 with options \"'--enable-maintainer-mode'\"
329
330 Copyright (C) 2006 Free Software Foundation, Inc.
331 This config.status script is free software; the Free Software Foundation
332 gives unlimited permission to copy, distribute and modify it."
333
334 ac_pwd='/var/src/owrt-X/build_dir/i386/calibrateproto-git'
335 srcdir='.'
336 INSTALL='/usr/bin/install -c'
337 MKDIR_P='/bin/mkdir -p'
338 # If no file are specified by the user, then we need to provide default
339 # value. By we need to know if files were specified by the user.
340 ac_need_defaults=:
341 while test $# != 0
342 do
343 case $1 in
344 --*=*)
345 ac_option=`expr "X$1" : 'X\([^=]*\)='`
346 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
347 ac_shift=:
348 ;;
349 *)
350 ac_option=$1
351 ac_optarg=$2
352 ac_shift=shift
353 ;;
354 esac
355
356 case $ac_option in
357 # Handling of the options.
358 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
359 ac_cs_recheck=: ;;
360 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
361 echo "$ac_cs_version"; exit ;;
362 --debug | --debu | --deb | --de | --d | -d )
363 debug=: ;;
364 --file | --fil | --fi | --f )
365 $ac_shift
366 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
367 ac_need_defaults=false;;
368 --he | --h | --help | --hel | -h )
369 echo "$ac_cs_usage"; exit ;;
370 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
371 | -silent | --silent | --silen | --sile | --sil | --si | --s)
372 ac_cs_silent=: ;;
373
374 # This is an error.
375 -*) { echo "$as_me: error: unrecognized option: $1
376 Try \`$0 --help' for more information." >&2
377 { (exit 1); exit 1; }; } ;;
378
379 *) ac_config_targets="$ac_config_targets $1"
380 ac_need_defaults=false ;;
381
382 esac
383 shift
384 done
385
386 ac_configure_extra_args=
387
388 if $ac_cs_silent; then
389 exec 6>/dev/null
390 ac_configure_extra_args="$ac_configure_extra_args --silent"
391 fi
392
393 if $ac_cs_recheck; then
394 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--enable-maintainer-mode' $ac_configure_extra_args " --no-create --no-recursion" >&6
395 CONFIG_SHELL=/bin/sh
396 export CONFIG_SHELL
397 exec /bin/sh "./configure" '--enable-maintainer-mode' $ac_configure_extra_args --no-create --no-recursion
398 fi
399
400 exec 5>>config.log
401 {
402 echo
403 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
404 ## Running $as_me. ##
405 _ASBOX
406 echo "$ac_log"
407 } >&5
408
409
410 # Handling of arguments.
411 for ac_config_target in $ac_config_targets
412 do
413 case $ac_config_target in
414 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
415 "xcalibrateproto.pc") CONFIG_FILES="$CONFIG_FILES xcalibrateproto.pc" ;;
416
417 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
418 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
419 { (exit 1); exit 1; }; };;
420 esac
421 done
422
423
424 # If the user did not use the arguments to specify the items to instantiate,
425 # then the envvar interface is used. Set only those that are not.
426 # We use the long form for the default assignment because of an extremely
427 # bizarre bug on SunOS 4.1.3.
428 if $ac_need_defaults; then
429 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
430 fi
431
432 # Have a temporary directory for convenience. Make it in the build tree
433 # simply because there is no reason against having it here, and in addition,
434 # creating and moving files from /tmp can sometimes cause problems.
435 # Hook for its removal unless debugging.
436 # Note that there is a small window in which the directory will not be cleaned:
437 # after its creation but before its name has been assigned to `$tmp'.
438 $debug ||
439 {
440 tmp=
441 trap 'exit_status=$?
442 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
443 ' 0
444 trap '{ (exit 1); exit 1; }' 1 2 13 15
445 }
446 # Create a (secure) tmp directory for tmp files.
447
448 {
449 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
450 test -n "$tmp" && test -d "$tmp"
451 } ||
452 {
453 tmp=./conf$$-$RANDOM
454 (umask 077 && mkdir "$tmp")
455 } ||
456 {
457 echo "$me: cannot create a temporary directory in ." >&2
458 { (exit 1); exit 1; }
459 }
460
461 #
462 # Set up the sed scripts for CONFIG_FILES section.
463 #
464
465 # No need to generate the scripts if there are no CONFIG_FILES.
466 # This happens for instance when ./config.status config.h
467 if test -n "$CONFIG_FILES"; then
468
469 cat >"$tmp/subs-1.sed" <<\CEOF
470 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
471 s,@SHELL@,|#_!!_#|/bin/sh,g
472 s,@PATH_SEPARATOR@,|#_!!_#|:,g
473 s,@PACKAGE_NAME@,|#_!!_#|xcalibrateproto,g
474 s,@PACKAGE_TARNAME@,|#_!!_#|xcalibrateproto,g
475 s,@PACKAGE_VERSION@,|#_!!_#|0.1.0,g
476 s,@PACKAGE_STRING@,|#_!!_#|xcalibrateproto 0.1.0,g
477 s,@PACKAGE_BUGREPORT@,|#_!!_#|pb@|#_!!_#|nexus.co.uk,g
478 s,@exec_prefix@,|#_!!_#|${prefix},g
479 s,@prefix@,|#_!!_#|/usr/local,g
480 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
481 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
482 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
483 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
484 s,@datarootdir@,|#_!!_#|${prefix}/share,g
485 s,@datadir@,|#_!!_#|${datarootdir},g
486 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
487 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
488 s,@localstatedir@,|#_!!_#|${prefix}/var,g
489 s,@includedir@,|#_!!_#|${prefix}/include,g
490 s,@oldincludedir@,|#_!!_#|/usr/include,g
491 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
492 s,@infodir@,|#_!!_#|${datarootdir}/info,g
493 s,@htmldir@,|#_!!_#|${docdir},g
494 s,@dvidir@,|#_!!_#|${docdir},g
495 s,@pdfdir@,|#_!!_#|${docdir},g
496 s,@psdir@,|#_!!_#|${docdir},g
497 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
498 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
499 s,@mandir@,|#_!!_#|${datarootdir}/man,g
500 s,@DEFS@,|#_!!_#|-DPACKAGE_NAME=\\"xcalibrateproto\\" -DPACKAGE_TARNAME=\\"xcalibrateproto\\" -DPACKAGE_VERSION=\\"0.1.0\\" -DPACKAGE_STRING=\\"xcalibrateproto\\ 0.1.0\\" -DPACKAGE_BUGREPORT=\\"pb@|#_!!_#|nexus.co.uk\\" -DPACKAGE=\\"xcalibrateproto\\" -DVERSION=\\"0.1.0\\",g
501 s,@ECHO_C@,|#_!!_#|,g
502 s,@ECHO_N@,|#_!!_#|-n,g
503 s,@ECHO_T@,|#_!!_#|,g
504 s,@LIBS@,|#_!!_#|,g
505 s,@build_alias@,|#_!!_#|,g
506 s,@host_alias@,|#_!!_#|,g
507 s,@target_alias@,|#_!!_#|,g
508 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
509 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
510 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
511 s,@am__isrc@,|#_!!_#|,g
512 s,@CYGPATH_W@,|#_!!_#|echo,g
513 s,@PACKAGE@,|#_!!_#|xcalibrateproto,g
514 s,@VERSION@,|#_!!_#|0.1.0,g
515 s,@ACLOCAL@,|#_!!_#|${SHELL} /var/src/owrt-X/build_dir/i386/calibrateproto-git/missing --run aclocal-1.10,g
516 s,@AUTOCONF@,|#_!!_#|${SHELL} /var/src/owrt-X/build_dir/i386/calibrateproto-git/missing --run autoconf,g
517 s,@AUTOMAKE@,|#_!!_#|${SHELL} /var/src/owrt-X/build_dir/i386/calibrateproto-git/missing --run automake-1.10,g
518 s,@AUTOHEADER@,|#_!!_#|${SHELL} /var/src/owrt-X/build_dir/i386/calibrateproto-git/missing --run autoheader,g
519 s,@MAKEINFO@,|#_!!_#|${SHELL} /var/src/owrt-X/build_dir/i386/calibrateproto-git/missing --run makeinfo,g
520 s,@install_sh@,|#_!!_#|$(SHELL) /var/src/owrt-X/build_dir/i386/calibrateproto-git/install-sh,g
521 s,@STRIP@,|#_!!_#|,g
522 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
523 s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
524 s,@AWK@,|#_!!_#|gawk,g
525 s,@SET_MAKE@,|#_!!_#|,g
526 s,@am__leading_dot@,|#_!!_#|.,g
527 s,@AMTAR@,|#_!!_#|${SHELL} /var/src/owrt-X/build_dir/i386/calibrateproto-git/missing --run tar,g
528 s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
529 s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
530 s,@LIBOBJS@,|#_!!_#|,g
531 s,@LTLIBOBJS@,|#_!!_#|,g
532 :end
533 s/|#_!!_#|//g
534 CEOF
535 fi # test -n "$CONFIG_FILES"
536
537
538 for ac_tag in :F $CONFIG_FILES
539 do
540 case $ac_tag in
541 :[FHLC]) ac_mode=$ac_tag; continue;;
542 esac
543 case $ac_mode$ac_tag in
544 :[FHL]*:*);;
545 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
546 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
547 { (exit 1); exit 1; }; };;
548 :[FH]-) ac_tag=-:-;;
549 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
550 esac
551 ac_save_IFS=$IFS
552 IFS=:
553 set x $ac_tag
554 IFS=$ac_save_IFS
555 shift
556 ac_file=$1
557 shift
558
559 case $ac_mode in
560 :L) ac_source=$1;;
561 :[FH])
562 ac_file_inputs=
563 for ac_f
564 do
565 case $ac_f in
566 -) ac_f="$tmp/stdin";;
567 *) # Look for the file first in the build tree, then in the source tree
568 # (if the path is not absolute). The absolute path cannot be DOS-style,
569 # because $ac_f cannot contain `:'.
570 test -f "$ac_f" ||
571 case $ac_f in
572 [\\/$]*) false;;
573 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
574 esac ||
575 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
576 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
577 { (exit 1); exit 1; }; };;
578 esac
579 ac_file_inputs="$ac_file_inputs $ac_f"
580 done
581
582 # Let's still pretend it is `configure' which instantiates (i.e., don't
583 # use $as_me), people would be surprised to read:
584 # /* config.h. Generated by config.status. */
585 configure_input="Generated from "`IFS=:
586 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
587 if test x"$ac_file" != x-; then
588 configure_input="$ac_file. $configure_input"
589 { echo "$as_me:$LINENO: creating $ac_file" >&5
590 echo "$as_me: creating $ac_file" >&6;}
591 fi
592
593 case $ac_tag in
594 *:-:* | *:-) cat >"$tmp/stdin";;
595 esac
596 ;;
597 esac
598
599 ac_dir=`$as_dirname -- "$ac_file" ||
600 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
601 X"$ac_file" : 'X\(//\)[^/]' \| \
602 X"$ac_file" : 'X\(//\)$' \| \
603 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
604 echo X"$ac_file" |
605 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
606 s//\1/
607 q
608 }
609 /^X\(\/\/\)[^/].*/{
610 s//\1/
611 q
612 }
613 /^X\(\/\/\)$/{
614 s//\1/
615 q
616 }
617 /^X\(\/\).*/{
618 s//\1/
619 q
620 }
621 s/.*/./; q'`
622 { as_dir="$ac_dir"
623 case $as_dir in #(
624 -*) as_dir=./$as_dir;;
625 esac
626 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
627 as_dirs=
628 while :; do
629 case $as_dir in #(
630 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
631 *) as_qdir=$as_dir;;
632 esac
633 as_dirs="'$as_qdir' $as_dirs"
634 as_dir=`$as_dirname -- "$as_dir" ||
635 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
636 X"$as_dir" : 'X\(//\)[^/]' \| \
637 X"$as_dir" : 'X\(//\)$' \| \
638 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
639 echo X"$as_dir" |
640 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
641 s//\1/
642 q
643 }
644 /^X\(\/\/\)[^/].*/{
645 s//\1/
646 q
647 }
648 /^X\(\/\/\)$/{
649 s//\1/
650 q
651 }
652 /^X\(\/\).*/{
653 s//\1/
654 q
655 }
656 s/.*/./; q'`
657 test -d "$as_dir" && break
658 done
659 test -z "$as_dirs" || eval "mkdir $as_dirs"
660 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
661 echo "$as_me: error: cannot create directory $as_dir" >&2;}
662 { (exit 1); exit 1; }; }; }
663 ac_builddir=.
664
665 case "$ac_dir" in
666 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
667 *)
668 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
669 # A ".." for each directory in $ac_dir_suffix.
670 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
671 case $ac_top_builddir_sub in
672 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
673 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
674 esac ;;
675 esac
676 ac_abs_top_builddir=$ac_pwd
677 ac_abs_builddir=$ac_pwd$ac_dir_suffix
678 # for backward compatibility:
679 ac_top_builddir=$ac_top_build_prefix
680
681 case $srcdir in
682 .) # We are building in place.
683 ac_srcdir=.
684 ac_top_srcdir=$ac_top_builddir_sub
685 ac_abs_top_srcdir=$ac_pwd ;;
686 [\\/]* | ?:[\\/]* ) # Absolute name.
687 ac_srcdir=$srcdir$ac_dir_suffix;
688 ac_top_srcdir=$srcdir
689 ac_abs_top_srcdir=$srcdir ;;
690 *) # Relative name.
691 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
692 ac_top_srcdir=$ac_top_build_prefix$srcdir
693 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
694 esac
695 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
696
697
698 case $ac_mode in
699 :F)
700 #
701 # CONFIG_FILE
702 #
703
704 case $INSTALL in
705 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
706 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
707 esac
708 ac_MKDIR_P=$MKDIR_P
709 case $MKDIR_P in
710 [\\/$]* | ?:[\\/]* ) ;;
711 */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
712 esac
713 # If the template does not know about datarootdir, expand it.
714 # FIXME: This hack should be removed a few years after 2.60.
715 ac_datarootdir_hack=; ac_datarootdir_seen=
716
717 case `sed -n '/datarootdir/ {
718 p
719 q
720 }
721 /@datadir@/p
722 /@docdir@/p
723 /@infodir@/p
724 /@localedir@/p
725 /@mandir@/p
726 ' $ac_file_inputs` in
727 *datarootdir*) ac_datarootdir_seen=yes;;
728 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
729 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
730 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
731 ac_datarootdir_hack='
732 s&@datadir@&${datarootdir}&g
733 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
734 s&@infodir@&${datarootdir}/info&g
735 s&@localedir@&${datarootdir}/locale&g
736 s&@mandir@&${datarootdir}/man&g
737 s&\${datarootdir}&${prefix}/share&g' ;;
738 esac
739 sed "/^[ ]*VPATH[ ]*=/{
740 s/:*\$(srcdir):*/:/
741 s/:*\${srcdir}:*/:/
742 s/:*@srcdir@:*/:/
743 s/^\([^=]*=[ ]*\):*/\1/
744 s/:*$//
745 s/^[^=]*=[ ]*$//
746 }
747
748 :t
749 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
750 s&@configure_input@&$configure_input&;t t
751 s&@top_builddir@&$ac_top_builddir_sub&;t t
752 s&@srcdir@&$ac_srcdir&;t t
753 s&@abs_srcdir@&$ac_abs_srcdir&;t t
754 s&@top_srcdir@&$ac_top_srcdir&;t t
755 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
756 s&@builddir@&$ac_builddir&;t t
757 s&@abs_builddir@&$ac_abs_builddir&;t t
758 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
759 s&@INSTALL@&$ac_INSTALL&;t t
760 s&@MKDIR_P@&$ac_MKDIR_P&;t t
761 $ac_datarootdir_hack
762 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
763
764 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
765 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
766 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
767 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
768 which seems to be undefined. Please make sure it is defined." >&5
769 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
770 which seems to be undefined. Please make sure it is defined." >&2;}
771
772 rm -f "$tmp/stdin"
773 case $ac_file in
774 -) cat "$tmp/out"; rm -f "$tmp/out";;
775 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
776 esac
777 ;;
778
779
780
781 esac
782
783 done # for ac_tag
784
785
786 { (exit 0); exit 0; }